For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Task object
          • GET/tasks
          • POST/tasks
          • GET/tasks/{id}
          • GET/tasks/meta/patch/{id}
          • GET/tasks/meta/post
          • GET/tasks/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsTasks

/tasks

POST
/crm/v1/tasks
POST
/api/crm/v1/tasks
$curl -X POST https://api.merge.dev/api/crm/v1/tasks \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {}
>}'
201Created
1{
2 "model": {
3 "id": "550e8400-e29b-41d4-a716-446655440000",
4 "remote_id": "19202938",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "subject": "Contact about Integration Strategy",
8 "content": "Follow up to see whether they need integrations",
9 "owner": "0358cbc6-2040-430a-848e-aafacbadf3aa",
10 "account": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
11 "opportunity": "550e8400-e29b-41d4-a716-446655440000",
12 "contact": "025fjlc6-6000-430a-848e-aafacbadf4fe",
13 "completed_date": "2022-02-11T00:00:00Z",
14 "due_date": "2022-02-10T00:00:00Z",
15 "status": "OPEN",
16 "remote_was_deleted": true,
17 "field_mappings": {
18 "organization_defined_targets": {
19 "custom_key": "custom_value"
20 },
21 "linked_account_defined_targets": {
22 "custom_key": "custom_value"
23 }
24 },
25 "remote_data": [
26 {
27 "path": "/tasks",
28 "data": null
29 }
30 ],
31 "remote_fields": [
32 {
33 "remote_field_class": {
34 "id": "string",
35 "display_name": "string",
36 "remote_key_name": "string",
37 "description": "string",
38 "is_custom": true,
39 "is_common_model_field": true,
40 "is_required": true,
41 "field_type": "string",
42 "field_format": "string",
43 "field_choices": [
44 "string"
45 ],
46 "item_schema": {
47 "item_type": "string",
48 "item_format": "string",
49 "item_choices": [
50 "string"
51 ]
52 }
53 },
54 "value": "string"
55 }
56 ]
57 },
58 "warnings": [
59 {
60 "title": "Unrecognized Field",
61 "detail": "An unrecognized field, age, was passed in with request data.",
62 "problem_type": "UNRECOGNIZED_FIELD",
63 "source": {
64 "pointer": "/age"
65 },
66 "block_merge_link": true,
67 "raw_error": "string",
68 "error_code": 1
69 }
70 ],
71 "errors": [
72 {
73 "title": "Missing Required Field",
74 "detail": "custom_fields is a required field on model.",
75 "problem_type": "MISSING_REQUIRED_FIELD",
76 "source": {
77 "pointer": "/model/custom_fields"
78 },
79 "block_merge_link": true,
80 "raw_error": "string",
81 "error_code": 1
82 }
83 ],
84 "logs": [
85 {
86 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
87 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
88 "log_summary": {
89 "url": "www.exampleintegration.com/api/v1/exampleapi",
90 "method": "POST",
91 "status_code": 200
92 }
93 }
94 ]
95}

Creates a Task object with the given values.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/tasks

Next

/tasks/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The Task object is used to represent a task, such as a to-do item.

Usage Example

TODO

Response

modelobject

Description

The Task object is used to represent a task, such as a to-do item.

Usage Example

TODO

warningslist of objects
errorslist of objects
logslist of objects